/* Page */

.page {
    font-family: 'Montserrat', Arial, sans-serif;
    font-size: 0.8vw;
    line-height: 1.3vw;
    color: #ffffff;
}

.page__body{
    width: 100%;
    margin: 0;
    padding: 0;

    background-color: #000000;
}

/* Header */

.page__nav__wrapper {
    width: 78vw;
    margin: 0 auto;
    padding-top: 2.5vw;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
}

.page__nav__toggle {
    display: none;
}

/* Navigation */

.site__nav {
    min-width: 10vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.page__header {
    height: 5vw;
    border-bottom: 2px solid #ffffff;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Style nav */

.site__nav {
    margin: 0;
    padding: 0;
    list-style: none;
}

.site__name {
    margin: 0;
    padding: 0;
}

/* Accessibility */

.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;
  }

a {
    text-decoration: none;
    color: #ffffff;
}

.button {
    border: none;
    background: transparent;

    color: #ffffff;
    font-family: "Montserrat", sans-serif;
    font-style: normal;
    font-weight: normal;
    font-size: 0.8vw;
    line-height: 1.04vw;
    text-align: center;
}

.container {
    width: 79vw;
    margin: 0 auto;
    margin-top: 9.1vw;
}

.feature {
    display: flex;
    justify-content: space-between;
    
}

.feature__image {
    width: 34.1vw;
    height: 36vw;
    
}

.feature__title {
    margin-bottom: 8.2vw;
    font-weight: bold;
    font-size: 2.6vw;
    line-height: 3.3vw;
}

.feature__link {
    padding-top: 0.6vw;
    padding-bottom: 0.8vw;
    padding-left: 3.8vw;
    padding-right: 2.7vw;
    background-color: #E9204F;
}

.feature_wrapper {
    flex-grow: 1;
}

/* Block */

.feature__block {
    padding-left: 18.9vw;
    padding-right: 17.5vw;
    padding-top: 2vw;
    padding-bottom: 3.6vw;
    background-color: #E9204F;
}

.feature__item-title {
    margin: 0;
    margin-bottom: 1.1vw;
    text-align: center;
    font-size: 1.3vw;
    line-height: 1.6vw;
}

.feature__item-text {
   
    height: 3.9vw;
    margin: 0;
    font-family: "Roboto", sans-serif;
    font-size: 0.8vw;
    font-style: normal;
    line-height: 1.3vw;
    text-align: justify;
}

.how__list {
    padding: 0;
    list-style: none;
    width: 63vw;
    margin: 0 auto;
    margin-top: 4.8vw;

    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

}

.how__item {
    width: 16.6vw;
}

.how__title {
    margin: 0;
    margin-bottom: 0.8vw;
    font-size: 1.1vw;
    line-height: 1.5vw;
}

.how__text {
    color: #AEACA7;
    font-family: "Roboto", sans-serif;
    font-size: 0.9vw;
    line-height: 1.45vw;
    text-align: auto;
    margin: 0;
}

.card__img {
    width: 23.4vw;
    height: 12.9vw;
}

.card {
    width: 78.8vw;
    margin: 0 auto;
    margin-top: 9vw;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.card__item {
    width: 23.4vw;
    background-color: #1B1B1B;
    margin-bottom: 1.8vw;
}

.card__title {
    position: relative;
    font-size: 1.1vw;
    line-height: 1.45vw;
    font-weight: normal;
    margin-top: 1.9vw;
    margin-bottom: 1.8vw;
}

.card__title::after {
    position: absolute;
    bottom: 0;
    left: 0;
    margin-bottom: -0.78vw;

    content: "";
    width: 1.45vw;
    height: 0.1vw;
    background-color: #ffffff;
}

.card__text {
    margin: 0;
    margin-bottom: 1.8vw;
    font-size: 0.8vw;
    line-height: 1.3vw;
}

.card__button {
    display: block;
    border: 2px solid #E9204F;
    width: 17.9vw;
    height: 3.48vw;
    margin: 0 auto;
    margin-bottom: 3vw;
    
}

.footer__list {
    list-style: none;
    padding: 0;
}

.footer__title {
    font-size: 1.1vw;
    line-height: 1.5vw;
    margin-bottom: 0.26vw;
    margin-top: 1.6vw;
}

.footer {
    width: 78.8vw;
    margin: 0 auto;
    display: flex;
}

.footer__about {
    margin-right: 4.5vw;
}

.footer__contact {
    margin-left: auto;
}

/* Media */

@media (max-width: 768px) {

    .page__nav__wrapper {
        width: 90vw;
    }

    .site__nav {
        width: 50vw;
    }

    .site__name {
        font-size: 1.5vw;
    }

    .site__item {
        font-size: 1.5vw;
        margin-bottom: 1.1vw;
    }

    .container {
        width: 90vw;
        flex-direction: column;
        
    }

    .feature__image {
        margin: 0 auto;
    }

    .feature__wrapper {
        margin-bottom: 5vw;
        
        order: 2;
        
        display: flex;
        flex-direction: column;
        align-items: center;
    }

   .feature__block {
       padding-left: 5vw;
       padding-right: 5vw;
   }

   .feature__title {
       margin-bottom: 6vw;

       font-size: 3vw;
   }

   .feature__link {
        padding-top: 0.8vw;
        padding-bottom: 1vw;
        padding-left: 4vw;
        padding-right: 2.9vw;

        font-size: 1.3vw;
        
   }

   .feature__item-title {
        font-size: 1.5vw;
        line-height: 1.8vw;
    }

    .feature__item-text {
        font-size: 1.1vw;
    }

    .how__list {
        width: 90vw;
    }

    .how__item {
        width: 27vw;
    }

    .how__title {
        margin-bottom: 0.8vw;
        font-size: 1.5vw;
        line-height: 2vw;
    }
        
    .how__text {
        font-size: 1.1vw;
        line-height: 1.5vw;
    }

    .card {
        width: 90vw;
       }
    
    .card__item {
        width: 27vw;
    }

    .card__img {
        width: 100%;
        height: auto;
    }
       
    .footer__title {
        font-size: 1.5vw;
        line-height: 1.8vw;
    }

    .footer__item {
        font-size: 0.9vw;
        line-height: 1.5vw;
    }

}

@media (max-width: 414px) { 
    
    .page__header {
        height: 15vw;
        border: none;
    }
    
    .page__nav__wrapper {
        display: block;
        position: relative;
    }
    
    .page__nav__toggle {
        display: block;

        position: absolute;
        top: 5vw;
        right: 1vw;
        z-index: 2;

        border: none;
        background-color: transparent;
    }

    .page__nav--closed .page__nav__toggle::before {
        content: "";

        position: absolute;
        top: 1vw;
        right: 1vw;

        width: 7.6vw;
        height: 0.4vw;

        background-color: #ffffff;
        box-shadow: 0 8px 0 0 #ffffff, 0 16px 0 0 #ffffff; 
    }
    
    .page__nav--opened .page__nav__toggle::before, 
    .page__nav--opened .page__nav__toggle::after {
        content: "";
        position: absolute;
        top: 2vw;
        right: 1vw;
        width: 7.6vw;
        height: 0.4vw;
        background-color: #ffffff; 
    }

    .page__nav--opened .page__nav__toggle::before {        
        transform: rotate(45deg);
    }

    .page__nav--opened .page__nav__toggle::after {
        transform: rotate(-45deg); 
    }

    .page__nav--closed .site__nav {
        display: none;
    }

    .page__nav--opened .site__nav {
        display: block;
    }

    .site__nav {
        display: block;
    }

    .site__name {
        margin-top: 4vw;
        margin-bottom: 5vw;
        
        font-size: 3.5vw;
    }

    .site__item {
        margin-bottom: 4vw;
        
        font-size: 3vw;
    }

    .feature__title {
        margin-bottom: 6vw;
 
        font-size: 5vw;
        line-height: 5vw;
        text-align: center;
    }
 
    .feature__link {
        width: 40vw; 
        
        padding-top: 1vw;
        padding-bottom: 1.2vw;        
        padding-left: 4.2vw;        
        padding-right: 3.1vw;
 
        font-size: 2.3vw;
        line-height: 3vw;
        text-align: center;
    }
 
    .feature__item-title {
         font-size: 3vw;
         line-height: 2.8vw;
     }
 
     .feature__item-text {
         font-size: 2vw;
         line-height: 2.2vw;
         margin-bottom: 8vw;
     }
 
     .how__list {
         width: 90vw;
     }
 
     .how__item {
         width: 90vw;
         text-align: center;
         margin-bottom: 2vw;
     }
 
     .how__title {
         margin-bottom: 0.8vw;
         font-size: 2.5vw;
         line-height: 2vw;
     }
         
     .how__text {
         font-size: 2.1vw;
         line-height: 2.5vw;
     }
 
     .card {
         width: 90vw;
        }
     
     .card__item {
         width: 90vw;
     }
 
     .card__img {
         width: 100%;
         height: auto;
     }

    .card__title {
        font-size: 2.5vw;
        margin-bottom: 2vw;
    }

    .card__text {
        font-size: 2.1vw;
        line-height: 2.5vw;
    }

    .card__button {
        margin: 0;        
    }

    .button {
        font-size: 1.5vw;
    }

    .footer {
        display: block;
    }
        
    .footer__title {
         font-size: 2.5vw;
         line-height: 2.8vw;
     }
 
    .footer__item {
         font-size: 1.9vw;
         line-height: 2.5vw;
     }    

} 